Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenLinkImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenLinkImpl

All Implemented Interfaces:
  EObject, GenCommonBase, GenLink, InternalEObject, Notifier

public class GenLinkImpl
extends GenCommonBaseImpl
implements GenLink

An implementation of the model object 'Gen Link'.

The following features are implemented:

- `Diagram`
- `Model Facet`
- `Labels`
- `Outgoing Creation Allowed`
- `Incoming Creation Allowed`
- `View Direction Aligned With Model`
- `Creation Constraints`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected GenLinkConstraints` `creationConstraints` The cached value of the '`Creation Constraints`' containment reference
`protected static boolean` `INCOMING_CREATION_ALLOWED_EDEFAULT` The default value of the '`Incoming Creation Allowed`' attribute
`protected boolean` `incomingCreationAllowed` The cached value of the '`Incoming Creation Allowed`' attribute
`protected EList` `labels` The cached value of the '`Labels`' containment reference list
`protected LinkModelFacet` `modelFacet` The cached value of the '`Model Facet`' containment reference
`protected static boolean` `OUTGOING_CREATION_ALLOWED_EDEFAULT` The default value of the '`Outgoing Creation Allowed`' attribute
`protected boolean` `outgoingCreationAllowed` The cached value of the '`Outgoing Creation Allowed`' attribute
`protected static boolean` `VIEW_DIRECTION_ALIGNED_WITH_MODEL_EDEFAULT` The default value of the '`View Direction Aligned With Model`' attribute
`protected boolean` `viewDirectionAlignedWithModel` The cached value of the '`View Direction Aligned With Model`' attribute

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
`diagramRunTimeClass, EDIT_PART_CLASS_NAME_EDEFAULT, editPartClassName, elementType, ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT, itemSemanticEditPolicyClassName, NOTATION_VIEW_FACTORY_CLASS_NAME_EDEFAULT, notationViewFactoryClassName, viewmap, VISUAL_ID_EDEFAULT, visualID`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLink
`CLASS_NAME_PREFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenLinkImpl()`

Method Summary
`NotificationChain` `basicSetCreationConstraints(GenLinkConstraints newCreationConstraints, NotificationChain msgs)`
`NotificationChain` `basicSetModelFacet(LinkModelFacet newModelFacet, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getClassNamePrefix()` If the meaning of the 'Class Name Prefix' attribute isn't clear, there really should be more of a description here...
`GenLinkConstraints` `getCreationConstraints()`
`GenDiagram` `getDiagram()`
`EList` `getLabels()`
`LinkModelFacet` `getModelFacet()`
`protected EList` `getParticipants(EList participantTypes)`
`EList` `getSources()`
`EList` `getTargets()`
`boolean` `isIncomingCreationAllowed()`
`boolean` `isOutgoingCreationAllowed()`
`boolean` `isViewDirectionAlignedWithModel()`
`void` `setCreationConstraints(GenLinkConstraints newCreationConstraints)`
`void` `setIncomingCreationAllowed(boolean newIncomingCreationAllowed)`
`void` `setModelFacet(LinkModelFacet newModelFacet)`
`void` `setOutgoingCreationAllowed(boolean newOutgoingCreationAllowed)`
`void` `setViewDirectionAlignedWithModel(boolean newViewDirectionAlignedWithModel)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl

`asJavaConstantName, basicGetDiagramRunTimeClass, basicSetElementType, basicSetViewmap, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartClassNameGen, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyClassNameGen, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryClassNameGen, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### modelFacet

    protected LinkModelFacet modelFacet

  The cached value of the '`Model Facet`' containment reference.

  See Also:
    `GenLinkImpl.getModelFacet()`
  ** Generated **
  Ordered:

### labels

    protected EList labels

  The cached value of the '`Labels`' containment reference list.

  See Also:
    `GenLinkImpl.getLabels()`
  ** Generated **
  Ordered:

### OUTGOING_CREATION_ALLOWED_EDEFAULT

    protected static final boolean OUTGOING_CREATION_ALLOWED_EDEFAULT

  The default value of the '`Outgoing Creation Allowed`' attribute.

  See Also:
    `GenLinkImpl.isOutgoingCreationAllowed()`, Constant Field Values
  ** Generated **
  Ordered:

### outgoingCreationAllowed

    protected boolean outgoingCreationAllowed

  The cached value of the '`Outgoing Creation Allowed`' attribute.

  See Also:
    `GenLinkImpl.isOutgoingCreationAllowed()`
  ** Generated **
  Ordered:

### INCOMING_CREATION_ALLOWED_EDEFAULT

    protected static final boolean INCOMING_CREATION_ALLOWED_EDEFAULT

  The default value of the '`Incoming Creation Allowed`' attribute.

  See Also:
    `GenLinkImpl.isIncomingCreationAllowed()`, Constant Field Values
  ** Generated **
  Ordered:

### incomingCreationAllowed

    protected boolean incomingCreationAllowed

  The cached value of the '`Incoming Creation Allowed`' attribute.

  See Also:
    `GenLinkImpl.isIncomingCreationAllowed()`
  ** Generated **
  Ordered:

### VIEW_DIRECTION_ALIGNED_WITH_MODEL_EDEFAULT

    protected static final boolean VIEW_DIRECTION_ALIGNED_WITH_MODEL_EDEFAULT

  The default value of the '`View Direction Aligned With Model`' attribute.

  See Also:
    `GenLinkImpl.isViewDirectionAlignedWithModel()`, Constant Field Values
  ** Generated **
  Ordered:

### viewDirectionAlignedWithModel

    protected boolean viewDirectionAlignedWithModel

  The cached value of the '`View Direction Aligned With Model`' attribute.

  See Also:
    `GenLinkImpl.isViewDirectionAlignedWithModel()`
  ** Generated **
  Ordered:

### creationConstraints

    protected GenLinkConstraints creationConstraints

  The cached value of the '`Creation Constraints`' containment reference.

  See Also:
    `GenLinkImpl.getCreationConstraints()`
  ** Generated **
  Ordered:

Constructor Detail

### GenLinkImpl

    protected GenLinkImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenCommonBaseImpl`
  ** Generated **

### getDiagram

    public GenDiagram getDiagram()

  Specified by:
    `getDiagram` in interface `GenLink`
  Specified by:
    `getDiagram` in class `GenCommonBaseImpl`
  ** Generated **

### getModelFacet

    public LinkModelFacet getModelFacet()

  Specified by:
    `getModelFacet` in interface `GenLink`
  Returns:
    the value of the 'Model Facet' containment reference.
  See Also:
    `GenLink.setModelFacet(LinkModelFacet)`, `GMFGenPackage.getGenLink_ModelFacet()`
  ** Generated **

### basicSetModelFacet

    public NotificationChain basicSetModelFacet(LinkModelFacet newModelFacet,
                                                NotificationChain msgs)

  ** Generated **

### setModelFacet

    public void setModelFacet(LinkModelFacet newModelFacet)

  Specified by:
    `setModelFacet` in interface `GenLink`
  Parameters:
    `newModelFacet` - the new value of the 'Model Facet' containment reference.
  See Also:
    `GenLink.getModelFacet()`
  ** Generated **

### getLabels

    public EList getLabels()

  Specified by:
    `getLabels` in interface `GenLink`
  Returns:
    the value of the 'Labels' containment reference list.
  See Also:
    `GMFGenPackage.getGenLink_Labels()`, `GenLinkLabel.getLink()`
  ** Generated **

### isOutgoingCreationAllowed

    public boolean isOutgoingCreationAllowed()

  Specified by:
    `isOutgoingCreationAllowed` in interface `GenLink`
  Returns:
    the value of the 'Outgoing Creation Allowed' attribute.
  See Also:
    `GenLink.setOutgoingCreationAllowed(boolean)`, `GMFGenPackage.getGenLink_OutgoingCreationAllowed()`
  ** Generated **

### setOutgoingCreationAllowed

    public void setOutgoingCreationAllowed(boolean newOutgoingCreationAllowed)

  Specified by:
    `setOutgoingCreationAllowed` in interface `GenLink`
  Parameters:
    `newOutgoingCreationAllowed` - the new value of the 'Outgoing Creation Allowed' attribute.
  See Also:
    `GenLink.isOutgoingCreationAllowed()`
  ** Generated **

### isIncomingCreationAllowed

    public boolean isIncomingCreationAllowed()

  Specified by:
    `isIncomingCreationAllowed` in interface `GenLink`
  Returns:
    the value of the 'Incoming Creation Allowed' attribute.
  See Also:
    `GenLink.setIncomingCreationAllowed(boolean)`, `GMFGenPackage.getGenLink_IncomingCreationAllowed()`
  ** Generated **

### setIncomingCreationAllowed

    public void setIncomingCreationAllowed(boolean newIncomingCreationAllowed)

  Specified by:
    `setIncomingCreationAllowed` in interface `GenLink`
  Parameters:
    `newIncomingCreationAllowed` - the new value of the 'Incoming Creation Allowed' attribute.
  See Also:
    `GenLink.isIncomingCreationAllowed()`
  ** Generated **

### isViewDirectionAlignedWithModel

    public boolean isViewDirectionAlignedWithModel()

  Specified by:
    `isViewDirectionAlignedWithModel` in interface `GenLink`
  Returns:
    the value of the 'View Direction Aligned With Model' attribute.
  See Also:
    `GenLink.setViewDirectionAlignedWithModel(boolean)`, `GMFGenPackage.getGenLink_ViewDirectionAlignedWithModel()`
  ** Generated **

### setViewDirectionAlignedWithModel

    public void setViewDirectionAlignedWithModel(boolean newViewDirectionAlignedWithModel)

  Specified by:
    `setViewDirectionAlignedWithModel` in interface `GenLink`
  Parameters:
    `newViewDirectionAlignedWithModel` - the new value of the 'View Direction Aligned With Model' attribute.
  See Also:
    `GenLink.isViewDirectionAlignedWithModel()`
  ** Generated **

### getCreationConstraints

    public GenLinkConstraints getCreationConstraints()

  Specified by:
    `getCreationConstraints` in interface `GenLink`
  Returns:
    the value of the 'Creation Constraints' containment reference.
  See Also:
    `GenLink.setCreationConstraints(GenLinkConstraints)`, `GMFGenPackage.getGenLink_CreationConstraints()`, `GenLinkConstraints.getLink()`
  ** Generated **

### basicSetCreationConstraints

    public NotificationChain basicSetCreationConstraints(GenLinkConstraints newCreationConstraints,
                                                         NotificationChain msgs)

  ** Generated **

### setCreationConstraints

    public void setCreationConstraints(GenLinkConstraints newCreationConstraints)

  Specified by:
    `setCreationConstraints` in interface `GenLink`
  Parameters:
    `newCreationConstraints` - the new value of the 'Creation Constraints' containment reference.
  See Also:
    `GenLink.getCreationConstraints()`
  ** Generated **

### getParticipants

    protected EList getParticipants(EList participantTypes)

### getSources

    public EList getSources()

  Specified by:
    `getSources` in interface `GenLink`
  ** Generated **
    NOT

### getTargets

    public EList getTargets()

  Specified by:
    `getTargets` in interface `GenLink`
  ** Generated **
    NOT

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenCommonBaseImpl`
  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenCommonBaseImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenCommonBaseImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `GenCommonBaseImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `GenCommonBaseImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenCommonBaseImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GenCommonBaseImpl`
  ** Generated **

### getClassNamePrefix

    public java.lang.String getClassNamePrefix()

  Description copied from interface: `GenCommonBase`

  If the meaning of the 'Class Name Prefix' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getClassNamePrefix` in interface `GenCommonBase`
  Specified by:
    `getClassNamePrefix` in class `GenCommonBaseImpl`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.